Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Not Solved phpBB 3.1.5 merge results
#1
Not Solved
Hi!

I've recently decided to move from phpBB 3.1.5 to MyBB forums and now I'm testing it locally.

The reason is that phpBB 3.1.5 and less does not support PHP version 7 correctly and after the hosting change (including switching to php 7 version) my community became broken - every user see many errors and we cannot fix them.
Of course, I've tried to upgrade phpBB to latest version but no luck there. Update fails and phpBB community cannot help me. It's both ridiculous and sad.

First of all, many thanks to MyBB developers for really cool merge feature.

During the merge process, I struggled into several minor issues and I would like to find out how to fix them:

1. Users reg IP and last IP, actual result after merge in screenshot: http://prntscr.com/k4pemv
IP's of all users is not converted correctly.

2. Same issue with ipaddress field in mybb_posts table: http://prntscr.com/k4pt8z

3. Incorrect users birthdays, actual result after merge: http://prntscr.com/k4pkp4
Date format is very strange, also most of users has "-0- -0" date instead of NULL or empty

4. Question: It is possible to keep users IDs, topics IDs, posts IDs the same as it was on phpBB forums? Because I have many posts with internal links to another topics by IDs. I can globally replace forum path for this links but I cannot replace IDs.
Actual result after merge and re-count is that all ids was changed.

5. Users warnings is not merged. It is possible to keep/convert users warnings?

6. It is possible to remove/disable Calendar functionality? Because I do not need it and there are no Calendar in phpBB. I've tried to remove default calendar but when I click to Calendar link on header, I got an error: http://prntscr.com/k4pwmu

7. Question: I would like to use php 7.0.30 and mysql 5.7.22 on my VPS to host MyBB forums. It is okay and 100% compatible with recent MyBB build?

Thanks to everyone for replies!
Reply
#2
Not Solved
Up. Anyone can help?
Reply
#3
Not Solved
uuuuuuuuuuuuuuuup guys
Reply
#4
Not Solved
(07-10-2018, 12:11 PM)dento Wrote: Hi!

I've recently decided to move from phpBB 3.1.5 to MyBB forums and now I'm testing it locally.

The reason is that phpBB 3.1.5 and less does not support PHP version 7 correctly and after the hosting change (including switching to php 7 version) my community became broken - every user see many errors and we cannot fix them.
Of course, I've tried to upgrade phpBB to latest version but no luck there. Update fails and phpBB community cannot help me. It's both ridiculous and sad.

First of all, many thanks to MyBB developers for really cool merge feature.

During the merge process, I struggled into several minor issues and I would like to find out how to fix them:

1. Users reg IP and last IP, actual result after merge in screenshot: http://prntscr.com/k4pemv
IP's of all users is not converted correctly.

2. Same issue with ipaddress field in mybb_posts table: http://prntscr.com/k4pt8z

3. Incorrect users birthdays, actual result after merge: http://prntscr.com/k4pkp4
Date format is very strange, also most of users has "-0- -0" date instead of NULL or empty

4. Question: It is possible to keep users IDs, topics IDs, posts IDs the same as it was on phpBB forums? Because I have many posts with internal links to another topics by IDs. I can globally replace forum path for this links but I cannot replace IDs.
Actual result after merge and re-count is that all ids was changed.

5. Users warnings is not merged. It is possible to keep/convert users warnings?

6. It is possible to remove/disable Calendar functionality? Because I do not need it and there are no Calendar in phpBB. I've tried to remove default calendar but when I click to Calendar link on header, I got an error: http://prntscr.com/k4pwmu

7. Question: I would like to use php 7.0.30 and mysql 5.7.22 on my VPS to host MyBB forums. It is okay and 100% compatible with recent MyBB build?

Thanks to everyone for replies!

I will answer the questions based on the numbers. I cannot answer all of the questions because a few are beyond my "pay grade". 

1. Regarding the users' IP not converting properly, could it be possible that some of those IPs are indeed VPNs? Therefore, not convertible? I'm not certain of this, but it's one situation that I can think of. If the number of users' IPs that were not converted properly, maybe you can manually input the correct IPs? 

2. Beyond my "pay grade".

3. Well, is it possible that all users don't use the same date formatting? For example: In the USA, the date format is y-d-m, in many parts of Europe, it's d-m-y. 
Could that explain why the dates were not merged correctly? Maybe?

4. That one I am not 100% certain. Did you use plugins or whatever they call it in phpBB that used the IDs differently than how MyBB does it? That I can't answer, but it looks like to me that there are slight differences in the way phpBB and MyBB handle the database in terms of columns and rows. That's my guess.

5. Beyond my "pay grade". However... did you use a plugin for this?

6. Yes, you can remove the Calendar function. Look at this screenshot -- I selected 'No' because I don't use the Calendar on my website.

[Image: 7eaf8f0f84768d1c7d1218f7087a68c1.png]

7. Yes, you can use PHP 7.x.x and MySQL 5.x.x on your VPS. I did have it set up that way on my VPS and it worked just fine. 
I don't have that VPS anymore, but I do recall having that setup.
I'm Serpius and You're Not    ¯\_(ツ)_/¯
[Image: y3xr3cj5]
Reply
#5
Not Solved
7. I've had issues using the latest php, and since MyBB was on a 2.0 "rewrite" I stopped using MyBB until it was rewritten, but they scrapped that idea. I suggest reading the compatibility documents and just use those since it is documented to work.

https://docs.mybb.com/1.8/install/requirements/
www.volvl.com | Get your first month of hosting for $0.01 USD with Promo Code: Hexeus
[Image: 12946833.gif]


Reply
#6
Not Solved
(08-12-2018, 07:54 AM)Zaqre Wrote: 7. I've had issues using the latest php, and since MyBB was on a 2.0 "rewrite" I stopped using MyBB until it was rewritten, but they scrapped that idea. I suggest reading the compatibility documents and just use those since it is documented to work.

https://docs.mybb.com/1.8/install/requirements/

I should have clarified my PHP version... I was using PHP 7.1.20, not 7.2.xx. 

I know some users have had issues with using PHP 7.2.xx, so they had to downgrade a bit to 7.1.20 to make everything work right.

Now... when 1.9.xx does come out... I think... that the minimum PHP will be 7.1.20, but I may be wrong on this.
Maybe one of the developers can verify this.
I'm Serpius and You're Not    ¯\_(ツ)_/¯
[Image: y3xr3cj5]
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)